# Uses of Interface
javax.xml.stream.events.StartElement

Packages that use StartElement
Package
Description
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).
javax.xml.stream.events
Defines event interfaces for the Streaming API for XML (StAX).

## Uses of StartElement in javax.xml.stream

Methods in javax.xml.stream that return StartElement
Modifier and Type
Method
Description
`abstract StartElement`
XMLEventFactory.`createStartElement​(String prefix, String namespaceUri, String localName)`
Create a new StartElement.
`abstract StartElement`
XMLEventFactory.`createStartElement​(String prefix, String namespaceUri, String localName, Iterator<? extends Attribute> attributes, Iterator<? extends Namespace> namespaces)`
Create a new StartElement.
`abstract StartElement`
XMLEventFactory.`createStartElement​(String prefix, String namespaceUri, String localName, Iterator<? extends Attribute> attributes, Iterator<? extends Namespace> namespaces, NamespaceContext context)`
Create a new StartElement.
`abstract StartElement`
XMLEventFactory.`createStartElement​(QName name, Iterator<? extends Attribute> attributes, Iterator<? extends Namespace> namespaces)`
Create a new StartElement.

## Uses of StartElement in javax.xml.stream.events

Methods in javax.xml.stream.events that return StartElement
Modifier and Type
Method
Description
`StartElement`
XMLEvent.`asStartElement()`
Returns this event as a start element event, may result in a class cast exception if this event is not a start element.